# Switches all tunable parts of the player's vehicle every second

import mbase
import mped
import ment
import mveh

def frameProcessor():
    if (mbase.getFrameCount() % 30) != 0: return
    
    vehicle = mped.getPedVehicle(mped.getPlayerPed())
    
    if vehicle:
        vehModel = ment.getEntModelIndex(vehicle)
        tuningParts = mveh.getTuningPartCount(vehModel)
    
        if tuningParts and tuningParts > 0:
            for i in range(tuningParts):
                varCount = mveh.getTuningPartVarCount(vehModel, i)
                
                if varCount > 0:
                    mveh.setVehUsedTuningPart(vehicle, i, (mveh.getVehUsedTuningPart(vehicle, i) + 1) % varCount)

mbase.registerCallback("eventFrame", frameProcessor)
